Bug 1106295 - ngspice: FTBFS in rawhide
Summary: ngspice: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ngspice
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-09 04:14 UTC by Dennis Gilmore
Modified: 2014-07-08 04:03 UTC (History)
2 users (show)

Fixed In Version: ngspice-23-8.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-08 04:03:24 UTC
Type: ---


Attachments (Terms of Use)
Patch for rawhide (1.67 KB, patch)
2014-06-13 19:25 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2014-06-09 04:14:46 UTC
Your package ngspice failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6965223

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Yaakov Selkowitz 2014-06-13 19:25:36 UTC
Created attachment 908688 [details]
Patch for rawhide

Initial problem was specifying tclConfig.sh in %_libdir/tcl8.5 while rawhide now has 8.6.  However, tclConfig.sh has (also) been in %_libdir since July 2008, so this hack can just be dropped.

Once that is out of the way, compiling then fails due to direct accesses of Tcl_Interp->result which are deprecated in tcl8.6 but cannot (AFAICS) be replaced by Tcl_SetResult() calls.

Patch for rawhide attached.


Note You need to log in before you can comment on or make changes to this bug.